Blend
Get Blend positions
Path Parameters
address*string
Stellar account address
Query Parameters
as_of_ledger?|
Return data as of this ledger sequence number.
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/string/positions/blend"{ "data": { "address": "string", "pools": [ { "backstop": null, "borrow": [ { "asset_address": "string", "base_apr": "string", "base_apy": "string", "cost_basis": null, "decimals": 0, "emission_apy": "string", "symbol": "string", "units": "string", "usd_value": "string" } ], "borrow_limit_pct": "string", "health_factor": "string", "net_apy": "string", "net_usd": "string", "pool_contract": "string", "pool_id": "string", "pool_name": "string", "supply": [ { "asset_address": "string", "base_apr": "string", "base_apy": "string", "cost_basis": null, "decimals": 0, "emission_apy": "string", "symbol": "string", "units": "string", "usd_value": "string" } ] } ] }, "enrichment": { "assets": { "property1": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] }, "property2": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] } }, "contracts": { "property1": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" }, "property2": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" } } }, "meta": { "attribution_confidence": 0.1, "data_staleness_seconds": 0, "last_indexed_ledger": 0, "oracle_staleness_seconds": 0, "partial_result": true, "response_time_ms": 0, "sources": [ "soroban_rpc" ] }}